ThinkLP API
string · uuidstring · uuid · pattern: string | null · uuid · pattern: string | null · uuid · pattern: string | null · date · pattern: string | null
string · uuid · pattern: string · uuidstring | nullstring | null · uuid · pattern:
string · uuid · pattern: string · uuidstring · uuid · pattern:
string · uuid · pattern: string · uuid
string · uuid · pattern: string · uuid · pattern: string · uuid
Assignment
Create audits, assign them to auditors, and move section ownership between people.
Create an audit
POST
/v1/audits/
Headers
Idempotency-KeyA UUID that makes the request safe to retry: a repeat with the same key replays the first response.
Create an audit › Request Body
template_id^([0-9a-fA-F]{8}-[0-… · requiredlocation_hierarchy_node_id^([0-9a-fA-F]{8}-[0-… · requiredauditor_user_id^([0-9a-fA-F]{8}-[0-…
due_date^(?:(?:\d\d[2468][04…notesCreate an audit › Responses
Successful response
audit.assignment.post.v1_audits.response · required
Update an audit
PATCH
/v1/audits/{id}
path Parameters
id^([0-9a-fA-F]{8}-[0-… · requiredHeaders
Idempotency-KeyA UUID that makes the request safe to retry: a repeat with the same key replays the first response.
Update an audit › Request Body
notesauditor_user_id^([0-9a-fA-F]{8}-[0-…object
Update an audit › Responses
Successful response
audit.assignment.post.v1_audits.response · required
Change the lead auditor
PATCH
/v1/audits/{id}/lead
path Parameters
id^([0-9a-fA-F]{8}-[0-… · requiredHeaders
Idempotency-KeyA UUID that makes the request safe to retry: a repeat with the same key replays the first response.
Change the lead auditor › Request Body
user_id^([0-9a-fA-F]{8}-[0-… · requiredChange the lead auditor › Responses
Successful response
audit.assignment.post.v1_audits.response · required
Complete my sections
POST
/v1/audits/{id}/section-assignments/complete
path Parameters
id^([0-9a-fA-F]{8}-[0-… · requiredHeaders
Idempotency-KeyA UUID that makes the request safe to retry: a repeat with the same key replays the first response.
Complete my sections › Responses
Successful response
Reassign a section
POST
/v1/audits/{id}/section-assignments/{section_id}/reassign
path Parameters
id^([0-9a-fA-F]{8}-[0-… · requiredsection_id^([0-9a-fA-F]{8}-[0-… · requiredHeaders
Idempotency-KeyA UUID that makes the request safe to retry: a repeat with the same key replays the first response.
Reassign a section › Responses
Successful response